<?php
/*-----------------------------------------------*/
/*  EXTHEM.ES
/*  PREMIUM WORDRESS THEMES
/*
/*  STOP DON'T TRY EDIT
/*  IF YOU DON'T KNOW PHP 
/*
/*  As Errors In Your Themes
/*  Are Not The Responsibility
/*  Of The DEVELOPERS
/*  @EXTHEM.ES
/*  
/*  Follow Social Media Exthem.es
/*  Youtube : https://www.youtube.com/channel/UCpcZNXk6ySLtwRSBN6fVyLA
/*  Facebook : https://www.facebook.com/groups/exthem.es
/*  Twitter : https://x.com/bangreyblog
/*  Instagram : https://www.instagram.com/exthem.es/
/*  Telegram : https://t.me/exthemes_helps
/*  TikTok : https://www.tiktok.com/@exthemes
/*	More Premium Themes Visit Now On https://exthem.es/
/*-----------------------------------------------*/
if ( ! defined( 'ABSPATH' ) ) exit; 
// Silence is golden.

if (!empty($gets_data['app_name'])) {
	update_post_meta($post_id, 'wp_title_GP', $gets_data['app_name']);
}

//if ( !empty($gets_data['poster_sc']) ) {
//add_post_meta( $post_id, 'wp_poster_GP', $gets_data['poster_sc'] );
//update_post_meta( $post_id, 'wp_poster_GP', $gets_data['poster_sc'] );			 
//}

if (!empty($gets_data['version_sc'])) {
	update_post_meta($post_id, 'wp_version', $gets_data['version_sc']);
}

if (!empty($gets_data['genre_sc'])) {
	update_post_meta($post_id, 'wp_genres_GP', $gets_data['genre_sc']);
}

if (!empty($gets_data['developer_sc'])) {
	update_post_meta($post_id, 'wp_developers_GP', $gets_data['developer_sc']);
}

if (!empty($gets_data['size_sc'])) {
	update_post_meta($post_id, 'wp_sizes', $gets_data['size_sc']);
}

if (!empty($gets_data['updated_sc'])) {
	update_post_meta($post_id, 'wp_updates_GP', $gets_data['updated_sc']);
}

if (!empty($gets_data['mods'])) {
	update_post_meta($post_id, 'wp_mods', $gets_data['mods']);
}

if (!empty($gets_data['full_mod_title'])) {
	update_post_meta($post_id, 'wp_title_wp_mods', $gets_data['full_mod_title']);
}

if (!empty($gets_data['full_mod'])) {
	update_post_meta($post_id, 'wp_mods_post', $gets_data['full_mod']);
}

if (!empty($gets_data['developers_GP'])) {
	$developers			= $gets_data['developers_GP'];
} else {
	$developers			= $gets_data['developer_sc'];
}

update_post_meta($post_id, 'wp_developers_GP', $gets_data['developer_sc']);
update_post_meta($post_id, 'wp_developers_GP', str_replace(array('.', ','), ' ', $developers));
wp_set_post_terms($post_id, str_replace(array('.', ','), ' ', $developers), 'developer');
wp_set_object_terms($post_id, str_replace(array('.', ','), ' ', $developers), 'developer', true);

if (!empty($gets_data['articlebody_GP'])) {
	update_post_meta($post_id, 'wp_article_content', $gets_data['article_content']);
	update_post_meta($post_id, 'article_gp', $gets_data['articlebody_GP']);
}
